Snowplow support for Snowflake database


#1

Hi,
We are using snowplow from about a year and we use redshift as the storage endpoint.
Now, my company has taken a decision to move from redshift database to snowflake database.

Does the etl-runner in the Enrich step support snowflake endpoint ?
What are the alternatives for me to get this working ? Please suggest.

Thanks in advance.


#2

Hi @malathi - if you ping me an email we can discuss this further. :snowflake:


#3

Hi @alex,
It’s good to hear that snowplow now supporting for snowflake DB.
I am trying to configure snowflake with given config, But getting Error like Storage type ‘snowflake’ not supported.

Is there any specific version of ami and storage loader version need to follow for snowflake?

Also It’s good If I get any sample configuration for snowflake DB.

Thanks in advance
Malathi


#4

Hi @malathi,

We released a dedicated Snowflake loader back in December. Everything you need to know about its support is in this blog post.

I’m bit surprised you’re getting this error from SQL Runner, because it supports Snowflake since 0.6.0. Are you sure you’re using right version of it?


#5

I think the problem might be that @malathi is trying to use our EmrEtlRunner with Snowflake; you need to use our Snowflake Loader instead…